catalog:
  title: Manual Intelligent Lab Handtracker

templates:
- cmake-cpp
- base

variables:
  description: Library for all important components developed in the MILab
  access: private

  repository: http://projects.cit-ec.uni-bielefeld.de/git/handtracker
  scm.credentials: projects.cit-ec
  branches:
  - master
  - stable-0.1

  cmake.options:
  - ENABLE_NATIVE_BUILD_OPTION=OFF
  - BUILD_RELEASE=ON
  - '@{next-value|[]}'

versions:
- name: master-ros
  variables:
    branch: master
    cmake.environment:
    - |
        DO_NOT_REMOVE=1  # HACK to allow shell scripting
        . /opt/ros/${ros}/setup.sh
    - '@{next-value|[]}'
    cmake.options:
    - ENABLE_NATIVE_BUILD_OPTION=OFF
    - BUILD_RELEASE=ON
    - BUILD_WITH_ROS=ON
    - '@{next-value|[]}'
